# docker/registry

- name: Create directory
  become: yes
  file:
    path: "{{ item.path }}"
    owner: "{{ item.owner }}"
    group: "{{ item.group }}"
    mode: "{{ item.mode }}"
    state: directory
  with_items:
    -
      path: "{{ docker_registry_home }}"
      owner: "{{ admin_user }}"
      group: "{{ admin_group }}"
      mode: "0775"

- name: Copy templates
  template:
    src: "{{ item }}.j2"
    dest: "{{ docker_registry_home }}/{{ item }}"
  with_items:
    - "docker-compose.yml"
  notify: Restart registry

- name: Enable registry
  become_user: "{{ admin_user }}"
  command: "docker stack deploy -c docker-compose.yml registry"
  args:
    chdir: "{{ docker_registry_home }}"
